<!DOCTYPE html>
<HTML>

<HEAD >
<meta charset="UTF-8"> 
<TITLE>Trabalho 1 - Redes 2</TITLE>

</HEAD>

<BODY BGCOLOR="FFFFFF">

<H1>Componentes</H1>
<ul>
<li> Gabriel Messina
<li> Guilherme Cargnelutti
<li> Matthias Trennepohl
</ul>

<HR>

<H1>Acessando remotamante rede privada utilizando vagrant</H1>

<P> O Vagrant e o PuPHPet.com facilitam a criação de novas máquinas virtuais, mas nem sempre é fácil acessá-las a partir de outro dispositivo.

<HR>

<H1>Encontrando o endereço IP do seu computador</H1>

<P> No Linux, basta abrir o terminal e inserir o comando 'ifconfig' e em seguida localizar os números após "inet", exemplo: 
<br>
<p> inet <b>192.168.201.1 </b> netmask 255.255.255.0  broadcast 192.168.201.255

<HR>

<H1>HTTP</H1>

<P> A primeira coisa é poder acessar o site remotamente. No seu Vagrantfile encontre a linha que se parece com isso: 
<br>

<P> config.vm.network :private_network, ip: "192.168.56.101"
<br>

<p> e adicione a linha logo abaixo: 
<br>

<p> config.vm.network "forwarded_port", guest: 80, host: 8080
<br>

<p> Na próxima vez que você executar vagrant up, Vagrant redirecionará automaticamente todas as solicitações da porta 8080 no computador host para a porta 80 na VM.

<HR>

<H1>SSH</H1>

<p> Para habilitar o acesso SSH em sua VM, você precisa adicionar a seguinte linha após a linha "config.vm.network" que adicionamos na seção HTTP acima (se você estiver usando uma VM configurada com PuPHPet, ela já terá essa configuração):
<br>

<p> config.ssh.forward_agent = true 
<br>

<p> Em seguida, faça um 'vagrant reload' e o SSH será redirecionado. Existem dois truques para esse processo. A primeira é que o nome de usuário e a senha são "vagrant" e o segundo é que você precisa acessar a máquina usando a porta 2222 e não o padrão 22. Isso é feito porque o OSX e o Linux um servidor SSH embutido, então é muito possível que haja um conflito. 

<p> Depois você precisa usar a seguinte linha de comando:
<br>

<p> ssh -p 2222 vagrant@(host computer IP Address)


<HR>

</BODY>

</HTML> 
